/** Filter blastp output based on coverage and identity percentage
/**/

process FILTER_BLASTP {

    input:
    val min_coverage
    val min_identity
    path blastp
    path protein_length

    output:
    path 'filtered_blastp.tsv'

    script:
    """
    sort "${blastp}" > blastp_s
    sort "${protein_length}" > protein_length_s
    join -1 1 -2 1 "blastp_s" "protein_length_s" > join1.tsv
    sort -k 2 "join1.tsv" > join1.tsv_s
    join -1 2 -2 1 "join1.tsv_s" "protein_length_s" > 'joined.blastp.tsv'
    awk -f "${baseDir}/scripts/filter_blastp.awk" -v coverage="${min_coverage}" -v identity "${min_identity}" \
        "${blastp}" > 'filtered_blastp.tsv'
    """
}
